## org.exist.util.hashtable
Class Object2LongHashMap

    java.lang.Object
      org.exist.util.hashtable.AbstractHashtable
          org.exist.util.hashtable.Object2LongHashMap

Direct Known Subclasses:
  Object2LongIdentityHashMap

public class Object2LongHashMap
extends AbstractHashtable

A hashtable which maps object keys to long values. Keys are compared by their object equality, i.e. two objects are equal if object1.equals(object2).

Author:
  Stephan Körnig, Wolfgang Meier (wolfgang@exist-db.org)

Constructor Summary
`Object2LongHashMap()`
`Object2LongHashMap(int iSize)`

Method Summary
`boolean` `containsKey(java.lang.Object key)`
`long` `get(java.lang.Object key)`
`java.util.Iterator` `iterator()`
`void` `put(java.lang.Object key, long value)` Puts a new key/value pair into the hashtable.
`long` `remove(java.lang.Object key)`
`java.util.Iterator` `stableIterator()`
`java.util.Iterator` `valueIterator()`

Methods inherited from class org.exist.util.hashtable.AbstractHashtable
`getMaxRehash, isPrime, nextPrime, size`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Object2LongHashMap

    public Object2LongHashMap()

### Object2LongHashMap

    public Object2LongHashMap(int iSize)

Method Detail

### put

    public void put(java.lang.Object key,
                    long value)

  Puts a new key/value pair into the hashtable. If the key does already exist, just the value is updated.

  Parameters:
    `key` -
    `value` -

### get

    public long get(java.lang.Object key)

### containsKey

    public boolean containsKey(java.lang.Object key)

### remove

    public long remove(java.lang.Object key)

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in class `AbstractHashtable`

### valueIterator

    public java.util.Iterator valueIterator()

  Specified by:
    `valueIterator` in class `AbstractHashtable`

### stableIterator

    public java.util.Iterator stableIterator()

Copyright (C) Wolfgang Meier. All rights reserved.